## keytouch 2.4.1

=== debian/changelog ===
keytouch (2.4.1-11) unstable; urgency=low

  * Edits in debian/control
   - Added depends on gksu or kdebase-runtime

 -- Luke Cycon <lcycon@gmail.com>  Mon, 31 May 2010 19:27:26 -0700

keytouch (2.4.1-10) unstable; urgency=low

  * Added "DM-Upload-Allowed: yes" to debian/control
  * Bump standards-version. No change.

 -- Luke Cycon <lcycon@gmail.com>  Fri, 19 Feb 2010 15:52:20 -0800

keytouch (2.4.1-9) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
   - Drop quilt build-dep
   - Remove debian/README.source
  * Update source repo (SVN -> HG)
  * Add debhelper depends to keytouch-data
  * Added unfound runlevels to keytouch init script

 -- Luke Cycon <lcycon@gmail.com>  Sat, 09 Jan 2010 13:19:52 -0800

keytouch (2.4.1-8) unstable; urgency=low

  * Add "-ldl" to LDFLAGS in debian/rules
   - Add compatibility with binutils-gold (Closes: #554985)

 -- Luke Cycon <lcycon@gmail.com>  Tue, 10 Nov 2009 14:56:59 -0800

keytouch (2.4.1-7) unstable; urgency=low

  * Quilt patch cleanup
   - New numbering system
   - Updated some of the patch headers
  * New patch: 005_fix_broken_keyboards.diff
   - Fix a misnamed keyboard file (LP: #427786)
  * Edits in debian/rules
   - Fix a problem where the makefiles don't restore certain files

 -- Luke Cycon <lcycon@gmail.com>  Thu, 22 Oct 2009 15:50:26 -0700

keytouch (2.4.1-6) unstable; urgency=low

  [Luke Cycon]
  * Move from dpatch to quilt
   - edit in debian/rules
   - edit in debian/control
  * Added explicit call to /bin/sh in debian/55keytouchd_launch
  * Added stop on runlevel 1
  
  [Rodrigo Gallardo]
  * Fix debian/watch, server layout was changed (again!).

 -- Luke Cycon <lcycon@gmail.com>  Fri, 02 Oct 2009 18:07:38 -0700

keytouch (2.4.1-5) unstable; urgency=low

  * Fix a spelling issue in debian/25_kmix_plugin.dpatch
  * Fix debian/watch, update to latest server layout change

 -- Luke Cycon <lcycon@gmail.com>  Fri, 02 Oct 2009 18:07:13 -0700

keytouch (2.4.1-4) unstable; urgency=low

  * Updated audacious binary directory
   - New patch (Closes: #543746)
  * Bump standards-version
   - Add a debian/README.source

 -- Luke Cycon <lcycon@gmail.com>  Thu, 27 Aug 2009 20:26:53 -0700

keytouch (2.4.1-3) unstable; urgency=low

  * Changes to keytouch-keyboard startup script
   - Added call to retrieve absolute location of kdesu
  * Update kmix plugin to use dbus rather than dcop for KDE4
    as reported by Martin <komodo@tranceshock.net>

 -- Luke Cycon <lcycon@gmail.com>  Sat, 01 Aug 2009 21:15:20 -0700

keytouch (2.4.1-2) unstable; urgency=low

  * Added support for KMix plugin (Closes: #507464)
   - New sources in plugins/ directory
  * Bump standards-version. No Changes

 -- Luke Cycon <lcycon@gmail.com>  Mon, 22 Jun 2009 09:33:48 -0700

keytouch (2.4.1-1) unstable; urgency=low

  * New upstream release
   - XCloseDisplay not called on exit anymore
   - Added GTK theme support
   - Added support for USB keyboard
   - Change in keyboard display layout
   - Updated keyboard syntax
  * Dpatch cleanup
   - Edited change hunks of patches to reflect upstream code
   - Remove XCloseDisplay patch: Fixed in upstream
  * Remove obsolete call to dh_desktop

 -- Luke Cycon <lcycon@gmail.com>  Sun, 31 May 2009 16:55:46 -0700

keytouch (2.3.2-3) unstable; urgency=low

  * Added -D_GNU_SOURCE to cflags (Closes: #521953)
  * New maintainer (Closes: #520143)
  * Removed obsoleted lintian exceptions
  * Ensure maintainer scripts die on errors.
  * Fix menu section.
  * Bump standards-version. No changes.

 -- Luke Cycon <lcycon@gmail.com>  Fri, 22 May 2009 21:04:08 -0700 

keytouch (2.3.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * fix xsession shutdown problem
  * (closes: #487629)

 -- Bernd Schubert <bernd-schubert@gmx.de>  Wed, 20 Aug 2008 22:24:27 +0200

keytouch (2.3.2-2) unstable; urgency=low

  * Vcs-* fields no longer need XS- prefix.
  * Add Homepage field and remove from Description.
  * Update maintainer address.
  * Do not pass --host to configure unless we're crosscompiling.
  * Pass -Wl,--as-needed flag to linker, to avoid unnneded dependencies on
    DSOs. Move libraries to the end of the compile and link command line for
    plugins, otherwise the linker will not realize symbols from them are needed.
  * Explicitely unpatch after clean. The previous approach of having unpatch
    as a target dependency of clean was prone to problems if parallel makes
    were used.
  * Giuseppe Borzi is not active as maintainer for this package,
    thus I remove him from the Uploaders field. Thanks for all the initial
    packaging job, Guiseppe.
  * Updated Standards-Version to 3.7.3. No changes needed.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Mon, 10 Dec 2007 12:23:59 -0600

keytouch (2.3.2-1) unstable; urgency=low

  * New upstream release.
  * Update menu file to the new structure.
  * Update keytouch.desktop to freedesktop.org specification.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>  Thu, 30 Aug 2007 18:33:22 -0500

keytouch (2.3.1-2) unstable; urgency=low

  * keytouch-data Replaces: keytouch (Closes: #435599).
  * Fix syntax errors in Xsession.d script (Closes: #435692).

 -- Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>  Thu, 02 Aug 2007 11:50:47 -0500

keytouch (2.3.1-1) unstable; urgency=low
  
  * New upstream release.
  * Fix reverted logic in Xsession.d/55keytouchd_launch (Closes: #433589).
  * Start keytouch-acpid as a background process in /etc/init.d/keytouch
    (Closes: #433586).

 -- Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>  Thu, 19 Jul 2007 19:24:57 -0500

keytouch (2.3.0-1) unstable; urgency=low

  * New upstream release
   - keytouch-acpid no longer needs to be started in the X session, thus
    the Xsession.d scripts are removed. ACPID keys are now handled by a 
    daemon started from the init.d script (Closes: #400698).
   - Sound volume plugin now links directly to alsa lib.
   - Remove function prototype patch, as it has been included upstream.

