=== debian/control ===
Source: keytouch
Section: admin
Priority: optional
Maintainer: Luke Cycon <lcycon@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5.0.0), linux-libc-dev | linux-kernel-headers, autotools-dev, libgtk2.0-dev, libxtst-dev, libgnome-menu-dev, libasound2-dev, imagemagick, gksu | kdebase-runtime
Standards-Version: 3.8.4
Vcs-Hg: http://hg.debian.org/hg/collab-maint/keytouch/debian
Vcs-Browser: http://hg.debian.org/hg/collab-maint/keytouch/debian
Homepage: http://keytouch.sourceforge.net/

Package: keytouch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, keytouch-data (= ${source:Version})
Suggests: keytouch-editor
Description: A program to configure extra function keys in multimedia keyboards
 KeyTouch is a program which allows you to easily configure the extra function
 keys of your keyboard. This means that you can define, for every individual
 function key, what to do if it is pressed.

Package: keytouch-data
Architecture: all
Replaces: keytouch
Depends: ${misc:Depends}
Description: keyboard definition files and documentation for keytouch
 This package contains the configuration files keytouch uses to map function
 keys in different keyboard models. This package also contains the keytouch
 user manual.
 .
 More keyboard configuration files are available through the program's
 homepage. You can also make new ones by using keytouch-editor.
 .
 You probably don't want to install this package by itself. It's unlikely to
 be of use without keytouch.
