=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Make sure betas sort before their target release
opts="uversionmangle=s/-(beta.*)$/~$1/" \
http://sf.net/keytouch/keytouch-([0-9].+)\.tar\.gz
